weka.experiment

## Class RemoteExperimentEvent

- java.lang.Object
- - weka.experiment.RemoteExperimentEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RemoteExperimentEvent
      extends java.lang.Object
      implements java.io.Serializable

  Class encapsulating information on progress of a remote experiment
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `m_experimentFinished` True if a remote experiment has finished
    `boolean` | `m_logMessage` A log type message
    `java.lang.String` | `m_messageString` The message
    `boolean` | `m_statusMessage` A status type message

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteExperimentEvent(boolean status, boolean log, boolean finished, java.lang.String message)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_statusMessage

          public boolean m_statusMessage

      A status type message

    - #### m_logMessage

          public boolean m_logMessage

      A log type message

    - #### m_messageString

          public java.lang.String m_messageString

      The message

    - #### m_experimentFinished

          public boolean m_experimentFinished

      True if a remote experiment has finished

  - ### Constructor Detail

    - #### RemoteExperimentEvent

          public RemoteExperimentEvent(boolean status,
                                       boolean log,
                                       boolean finished,
                                       java.lang.String message)

      Constructor
      Parameters:
        `status` - true for status type messages
        `log` - true for log type messages
        `finished` - true if experiment has finished
        `message` - the message